## FlatpakRemoteRef FlatpakRemoteRef — Remote application reference |

## Functions

const char * | flatpak_remote_ref_get_remote_name ()
guint64 | flatpak_remote_ref_get_download_size ()
const char * | flatpak_remote_ref_get_eol ()
const char * | flatpak_remote_ref_get_eol_rebase ()
guint64 | flatpak_remote_ref_get_installed_size ()
GBytes * | flatpak_remote_ref_get_metadata ()

## Properties

guint64 | download-size | Read / Write / Construct Only
char * | end-of-life | Read / Write / Construct Only
char * | end-of-life-rebase | Read / Write / Construct Only
guint64 | installed-size | Read / Write / Construct Only
GBytes * | metadata | Read / Write / Construct Only
char * | remote-name | Read / Write / Construct Only

## Types and Values

struct | FlatpakRemoteRef

## Object Hierarchy

        GObject
        ╰── FlatpakRef
            ╰── FlatpakRemoteRef

## Description

A FlatpakRemoteRef provides information about an application or runtime (in short: ref) that is available from a remote repository.

## Functions

### flatpak_remote_ref_get_remote_name ()

    const char *
    flatpak_remote_ref_get_remote_name (FlatpakRemoteRef *self);

Gets the remote name of the ref.

#### Parameters

self | a FlatpakRemoteRef |

#### Returns

the remote name.

[transfer none]

### flatpak_remote_ref_get_download_size ()

    guint64
    flatpak_remote_ref_get_download_size (FlatpakRemoteRef *self);

Returns the download size of the ref.

#### Parameters

self | a FlatpakRemoteRef |

#### Returns

the download size

### flatpak_remote_ref_get_eol ()

    const char *
    flatpak_remote_ref_get_eol (FlatpakRemoteRef *self);

Returns the end-of-life reason string, or `NULL` if the ref is not end-of-lifed.

#### Parameters

self | a FlatpakRemoteRef |

#### Returns

the end-of-life reason or `NULL`.

[transfer none]

### flatpak_remote_ref_get_eol_rebase ()

    const char *
    flatpak_remote_ref_get_eol_rebase (FlatpakRemoteRef *self);

Returns the end-of-life rebased ref, or `NULL` if the ref is not end-of-lifed.

#### Parameters

self | a FlatpakRemoteRef |

#### Returns

the end-of-life rebased ref or `NULL`.

[transfer none]

### flatpak_remote_ref_get_installed_size ()

    guint64
    flatpak_remote_ref_get_installed_size (FlatpakRemoteRef *self);

Returns the installed size of the ref.

#### Parameters

self | a FlatpakRemoteRef |

#### Returns

the installed size

### flatpak_remote_ref_get_metadata ()

    GBytes *
    flatpak_remote_ref_get_metadata (FlatpakRemoteRef *self);

Returns the app metadata from the metadata cache of the ref.

#### Parameters

self | a FlatpakRemoteRef |

#### Returns

a GBytes with the metadata file contents or `NULL`.

[transfer none][nullable]

## Types and Values

### struct FlatpakRemoteRef

    struct FlatpakRemoteRef;

## Property Details

### The `“download-size”` property

      “download-size”            guint64

The download size of the application.

Owner: FlatpakRemoteRef

Flags: Read / Write / Construct Only

Default value: 0

### The `“end-of-life”` property

      “end-of-life”              char *

The reason for the ref to be end of life.

Owner: FlatpakRemoteRef

Flags: Read / Write / Construct Only

Default value: NULL

### The `“end-of-life-rebase”` property

      “end-of-life-rebase”       char *

The new ref for the end of lifeed ref.

Owner: FlatpakRemoteRef

Flags: Read / Write / Construct Only

Default value: NULL

### The `“installed-size”` property

      “installed-size”           guint64

The installed size of the application.

Owner: FlatpakRemoteRef

Flags: Read / Write / Construct Only

Default value: 0

### The `“metadata”` property

      “metadata”                 GBytes *

The metadata info for the application.

Owner: FlatpakRemoteRef

Flags: Read / Write / Construct Only

### The `“remote-name”` property

      “remote-name”              char *

The name of the remote.

Owner: FlatpakRemoteRef

Flags: Read / Write / Construct Only

Default value: NULL